Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Token Management

Create Token

post

Important: Use this operation only when the end user is interacting with the merchant website or application and when a fast response time is important. It takes in average 2-3 seconds to obtain a token with this operation. For all other use cases, it is preferred to use the operation 'createAsyncToken'.

Create a network token from card details.

ETP contacts the Scheme TSP to get the network token.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Body
merchantIdstring · min: 1 · max: 128Required

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · min: 1 · max: 8196Required

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.
Value expected when 'source' parameter is 'MANUAL' or 'ON_FILE'.
CUp to 19
expThe expiry date in format MMYY.
Value expected when 'source' parameter is 'MANUAL' or 'ON_FILE'.
Optional when VCES feature is activated for VISA
C4
tokenToken number.
Value expected when 'source' parameter is 'TOKEN'.
CUp to 19
nameThe card holder name in the format FIRSTNAME LASTNAME or as written on the card. MDES limits the length to 27 characters so ETP may truncate the provided value.
This parameter is mandatory for Discover card tokenization.
O256
cvvThe security code.
It can help the issuer in the decision of approving the payment.
O3 or 4
accountIdThe card holder account identifier defined by the Merchant.
It can help the issuer in the decision of approving the payment.
O24
emailThe card holder email.
This parameter is mandatory for AMEX card tokenization.
O128

Example: {"fpan":"5123456789012345", "exp":"0822", "name":"JOHN DOE", "cvv":"123", "accountId":"johndoe", "email":"john@doe.com"}

sourcestring · enum · max: 32Required

The card info entry mode.
'MANUAL' It can help the issuer in the decision of approving the payment.
'TOKEN' is allowed just for Visa, used by token per token feature

Possible values:
languagestring · min: 2 · max: 2Required

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · min: 2 · max: 2Required

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
Responses
201

Created

application/json
tokenIdstring · min: 1 · max: 128Required

The token identifier.

Pattern: ^[a-zA-Z0-9_-]+$
cardBinstring · min: 6 · max: 8Optional

The card bin returned by the scheme, just available for VISA and Mastercard SCOF.

Example: 453421
cardLastDigitsstring · max: 5Optional

The card last digits.

Example: 2366
cardExpiryDatestring · max: 4Optional

The card expiry date in format MMYY.

Example: 0420
tokenLastDigitsstring · max: 5Optional

The token last digits.

Example: 5589
tokenExpiryDatestring · max: 4Optional

The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.
Rely on token expiry date in create transaction response for storage.

Example: 1022
tokenStatestring · enum · max: 64Required

Token state.
PCI token state can only be 'ACTIVE' or 'DELETED'.

Example: ACTIVEPossible values:
parstring · max: 29Optional

Payment Account Reference returned by the Scheme TSP.

Example: 5001a9f027e5629d11e3949a0800a
vProvisionedTokenIdstring · min: 1 · max: 36Optional

Specific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.

colorstring · enum · max: 32Optional

Deprecated.

Example: GREENPossible values:
creationTimestampstring · max: 64Required

Token creation timestamp compliant with ISO 8601.

Example: 2025-11-10T09:08:24.479Z
post/tokens

Create Async Token

post

Create a network token from card details.

ETP contacts the Scheme TSP to get the network token.

The process is asynchronous. It takes few seconds to get the callback except for VISA where it takes from 10 minutes to several hours.

A notification 'notifyTokenCreation' is sent to the Merchant/PSP to complete the token creation process.

The notification shares the same 'x-correlation-id' as in the create token request.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Body
merchantIdstring · min: 1 · max: 128Required

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · min: 1 · max: 8196Required

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.MUp to 19
expThe expiry date in the format MMYY.
Optional when VCES feature is activated for VISA
C4
nameThe card holder name in the format FIRSTNAME LASTNAME or as written on the card. MDES limits the length to 27 characters so ETP may truncate the provided value.
This parameter is mandatory for Discover card tokenization.
O256
cvvThe security code.
It can help the issuer in the decision of approving the payment.
O3 or 4
accountIdThe card holder account identifier defined by the Merchant.
It can help the issuer in the decision of approving the payment.
O24
emailThe card holder email.
This parameter is mandatory for AMEX card tokenization.
O128

Example: {"fpan":"5123456789012345", "exp":"0822", "name":"JOHN DOE", "cvv":"123", "accountId":"johndoe", "email":"john@doe.com"}

sourcestring · enum · max: 32Required

The card info entry mode.
'MANUAL' It can help the issuer in the decision of approving the payment.

Possible values:
languagestring · min: 2 · max: 2Required

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · min: 2 · max: 2Required

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
Responses
202

Accepted

No content

post/async-tokens

No content

Create PCI Token

post

Create a PCI token from card details.

The Scheme TSP is not involved in the creation of the token.

ETP stores securely the card details and returns a token identifier to the Merchant/PSP.

In case of successful response, the Merchant/PSP can directly request for a transaction. No notification is sent (contrary to network tokens).

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Body
merchantIdstring · min: 1 · max: 128Required

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · min: 1 · max: 8196Required

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.MUp to 19
expThe expiry date in the format MMYY.M4

Example: {"fpan":"5123456789012345", "exp":"0822"}

Responses
201

Created

application/json
tokenIdstring · min: 1 · max: 128Required

The token identifier.

Pattern: ^[a-zA-Z0-9_-]+$
cardLastDigitsstring · max: 5Required

The card last digits.

Example: 2366
cardExpiryDatestring · max: 4Required

The card expiry date in format MMYY.

Example: 0420
tokenStatestring · enum · max: 64Required

Token state.
PCI token state can only be 'ACTIVE' or 'DELETED'.

Example: ACTIVEPossible values:
creationTimestampstring · max: 64Required

Token creation timestamp compliant with ISO 8601.

Example: 2025-11-10T09:08:24.479Z
post/pci-tokens

Create Push Token

post

Create a network token from information provided by the Issuer to the Merchant application in a push provisioning use case (Visa and Mastercard only).

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Body
merchantIdstring · min: 1 · max: 128Required

Identifier of the merchant provided by Thales at on-boarding.

pushProvisioningPayloadstring · min: 1 · max: 8196Required

The push provisioning payload provided by the Issuer to the merchant application.

For Mastercard, it corresponds to the 'pushAccountReceipt'.

For Visa, it corresponds to the 'encPaymentInstrument'.

schemestring · enum · max: 32Required

The card primary scheme.

Example: MASTERCARDPossible values:
encryptedDatastring · min: 1 · max: 8196Optional

The user information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
accountIdThe card holder account identifier defined by the Merchant.O24
emailThe card holder email.O128

Example: {"accountId:"johndoe", "email":"john@doe.com"}

languagestring · min: 2 · max: 2Required

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · min: 2 · max: 2Required

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
Responses
201

Created

application/json
tokenIdstring · min: 1 · max: 128Required

The token identifier.

Pattern: ^[a-zA-Z0-9_-]+$
cardLastDigitsstring · max: 5Optional

The card last digits.

Example: 2366
cardExpiryDatestring · max: 4Optional

The card expiry date in format MMYY.

Example: 0420
tokenLastDigitsstring · max: 5Optional

The token last digits.

Example: 5589
tokenExpiryDatestring · max: 4Optional

The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.
Rely on token expiry date in create transaction response for storage.

Example: 1022
tokenStatestring · enum · max: 64Required

Token state.
PCI token state can only be 'ACTIVE' or 'DELETED'.

Example: ACTIVEPossible values:
parstring · max: 29Optional

Payment Account Reference returned by the Scheme TSP.

Example: 5001a9f027e5629d11e3949a0800a
encryptedDatastring · max: 8196Optional

The user information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
nameThe card holder name in format FIRSTNAME LASTNAME.O256
address.line1The card holder address.O256
address.line2The card holder address.O256
address.cityThe card holder address.O256
address.countrySubdivisionThe card holder address.O32
address.postalCodeThe card holder address.O32
address.countryThe Card holder country in ISO-3166-1 alpha-2 two-letter country code.O2
emailThe card holder email.O128
phoneNumberThe card holder phone number.O128
personalIdA card holder personal identifier that may be required in some regions.O128
returnUriTypestring · enum · max: 32Optional

Issuer application/website URI type depending on the device. This parameter could be returned only for VISA.

Example: WEBPossible values:
returnUristring · max: 512Optional

Issuer application/website URI. This parameter could be returned only for VISA.

Example: https://bank.com/pushprovisioning.html
creationTimestampstring · max: 64Required

Token creation timestamp compliant with ISO 8601.

Example: 2025-11-10T09:08:24.479Z
post/push-tokens

Get Token

get

Retrieve information about a token.

For EMV Tokens, the information provided depends on what the Issuer has declared in the Scheme TSP.

For PCI Tokens, only "basic" information related to the card is provided:

  • Card last digits.

  • Card expiry date.

  • Card Scheme if recognized.

Path parameters
tokenIdstring · max: 128Required

The token identifier.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Responses
200

OK

application/json
merchantIdstring · min: 1 · max: 128Optional

Identifier of the merchant provided by Thales at on-boarding.

cardBinstring · min: 6 · max: 8Optional

The card bin returned by the scheme, just available for VISA and Mastercard SCOF.

Example: 453421
cardLastDigitsstring · max: 5Optional

The card last digits.

Example: 2366
cardExpiryDatestring · max: 4Optional

The card expiry date in format MMYY.

Example: 0420
tokenStatestring · enum · max: 64Required

Token state.
PCI token state can only be 'ACTIVE' or 'DELETED'.

Example: ACTIVEPossible values:
tokenLastDigitsstring · max: 5Optional

The token last digits.

Example: 5589
tokenExpiryDatestring · max: 4Optional

The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.
Rely on token expiry date in create transaction response for storage.

Example: 1022
parstring · max: 29Optional

Payment Account Reference returned by the Scheme TSP.

Example: 5001a9f027e5629d11e3949a0800a
vProvisionedTokenIdstring · min: 1 · max: 36Optional

Specific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.

deviceBindingsstring[]Optional

The list of device identifiers bound to the token.

creationTimestampstring · max: 64Required

Token creation timestamp compliant with ISO 8601.

Example: 2025-11-10T09:08:24.479Z
lastUpdateTimestampstring · max: 64Optional

Token last update timestamp compliant with ISO 8601. Provided only in case the token was updated after its creation.

Example: 2025-11-13T11:012:41.165Z
get/tokens/{tokenId}

Delete Token

delete

Delete a token.

Path parameters
tokenIdstring · max: 128Required

The token identifier.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Responses
204

No Content

No content

delete/tokens/{tokenId}

No content

Get Asset

get

Returns an asset ressource (image, text). The assetId associated to an asset never changes so the response can be cached by the API consumer.

Path parameters
assetIdstring · max: 128Required

The unique asset identifier.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

Responses
200

OK

application/json
mediaTypestring · enum · max: 64Required

The media type of the asset.

Possible values:
encodedDatastringRequired

The asset encoded in base64.

heightstring · max: 10Optional

The asset height specified in pixels.

widthstring · max: 10Optional

The asset width specified in pixels.

get/assets/{assetId}

Last updated

Was this helpful?